Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Kernel module management utilities.
Name:      	module-init-tools
Version:   	3.4.1
Release:   	3
License: 	GNU/GPL
URL:		http://www.kernel.org/pub/linux/kernel/people/jcm/module-init-tools/
Group:     	System/Configuration/Hardware  
Source0: 	%{name}-%{version}.tar.bz2
Source2: 	modprobe.conf.dist
Source4: 	depmod.conf.dist
Patch1: 	module-init-tools-allconf.patch
Patch2: 	module-init-tools-noescape.patch
Patch4: 	module-init-tools-quiet_alias_errors.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	docbook-utils zlib-devel
Prereq: /sbin/chkconfig sharutils base-config >= 1:0.9.9-3

%description
The module-init-tools package includes various programs needed for automatic
loading and unloading of modules under 2.6 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.

%prep
%setup -n %{name}-%{version}
%patch1 -p1 -b .dist
%patch2 -p1 -b .noescape
%patch4 -p1 -b .qerrors

%build
export CFLAGS="-Os -g -DCONFIG_NO_BACKWARDS_COMPAT=1"
%configure --enable-zlib
make insmod.static
cp insmod.static insmod-static

# delete first 5 lines of all *.sgml files
# because the docbook2X parser could not handle this

#for i in doc/*.sgml
#do
#	sed -i "1,5 d" $i
#done

#sed -i "19,20 d" doc/depmod.conf.sgml
#sed -i "104 d" doc/modinfo.sgml
export CC=gcc
export CFLAGS="$RPM_OPT_FLAGS -DCONFIG_NO_BACKWARDS_COMPAT=1"

make distclean

%configure --enable-zlib
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

install -m 755 generate-modprobe.conf \
 $RPM_BUILD_ROOT/sbin

install -m 644 modprobe.conf.5 \
 $RPM_BUILD_ROOT/%{_mandir}/man5/modprobe.d.5

install -m 644 depmod.conf.5 \
 $RPM_BUILD_ROOT/%{_mandir}/man5/depmod.d.5

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/modprobe.d/modprobe.conf.dist

mkdir -p $RPM_BUILD_ROOT/etc/depmod.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/depmod.d/depmod.conf.dist

find $RPM_BUILD_ROOT/sbin/ -name '*.static' -exec rm {} \;

mv $RPM_BUILD_ROOT/%{_bindir}/lsmod $RPM_BUILD_ROOT/sbin

install -m 755 insmod-static $RPM_BUILD_ROOT/sbin/insmod.static
touch $RPM_BUILD_ROOT/etc/modprobe.conf

%post
if [ ! -f /etc/modprobe.conf ] ; then
   echo "#Userspace modprobe.conf" > /etc/modprobe.conf 2>/dev/null
   chmod 644 /etc/modprobe.conf
fi

%files
%defattr(-,root,root)
/etc/modprobe.d
/etc/depmod.d
/sbin/*
%{_mandir}/*/*
%ghost %config %verify(not md5 size mtime) /etc/modprobe.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.1-3
- fixed generation of default modprobe.conf
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.1-2
- fixed generation of default modprobe.conf
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.1-1
- Version update, move modprobe.conf from base-config here
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.4-1
- Version update
* Thu Dec 08 2005 Christian Metzen <metzench@ccux-linux.de> 3.2.2-1
- Version update
* Tue Nov 22 2005 Christian Wasem <wasem@ccux-linux.de> 3.2.1-1
- Update to Version 3.2.1
* Sun Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.1-2
- Moved mandir
* Sun Jun 12 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.1-1
- Version Update to 3.1 / rebuilt spec
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 3.0-1
- Initial Release
